<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.victoriatourist.mapper.blessing.BlessingCoverMapper">
    <select id="getList" resultType="com.fjhx.victoriatourist.entity.blessing.vo.BlessingCoverVo">
        select
            bc.id,
            bc.cover_type,
            bc.cover_name,
            bc.create_user,
            bc.create_time,
            bc.update_user,
            bc.update_time
        from blessing_cover bc
            ${ew.customSqlSegment}
    </select>

    <select id="getPage" resultType="com.fjhx.victoriatourist.entity.blessing.vo.BlessingCoverVo">
        select
            bc.id,
            bc.cover_type,
            bc.cover_name,
            bc.create_user,
            bc.create_time,
            bc.update_user,
            bc.update_time
        from blessing_cover bc
            ${ew.customSqlSegment}
    </select>

</mapper>
